homepage:
  url:   /
  param: { module: main, action: index }

newsletter_subscribe:
  url: /newsletter/zapisz/*
  param: { module: newsletter, action: subscribe }

newsletter_confirm:
  url: /newsletter/potwierdzenie/:hash
  param: { module: newsletter, action: confirm }
  requirements: { hash: '\w{40}' }

newsletter_unsubscribe:
  url: /newsletter/wypisz/:hash
  param: { module: newsletter, action: unsubscribe }
  requirements: { hash: '\w{40}' }

feeds:
  url: /aktualnosci
  param: { module: feeds, action: index }

feeds_more:
  url: /aktualnosci/wiecej
  param: { module: feeds, action: more }

feeds_sync:
  url: /aktualnosci/aktualizuj
  param: { module: feeds, action: sync }

contact:
  url: /kontakt
  param: { module: contact, action: contact }

booking:
  url: /rezerwacja/:id
  param: { module: contact, action: contact, type: booking }
  requirements:
        id: \d+

expedition_idea:
  url: /pomysl
  param: { module: contact, action: contact, type: idea }

file_download:
  url:   /pobierz/:id
  param: { module: main, action: download }
  requirements:
      id: \d+

image_show:
  url:   /zdjecie/:id/:size
  param: { module: main, action: download }
  requirements:
      id: \d+

adventures_more:
  url: /projekty/wiecej
  param: { module: adventures, action: more }

adventures_list:
  url:   /projekty/lista
  param: { module: adventures, action: list }

adventures_list_by_continent:
  url:   /projekty/lista/kontynent/:continent
  param: { module: adventures, action: list }
  requirements:
    continent: \d+

adventures_list_by_continent_slug:
  url:   /projekty/lista/kontynent/:continent/:slug
  param: { module: adventures, action: list }
  requirements:
    continent: \d+

adventures_list_by_type:
  url:   /projekty/lista
  param: { module: adventures, action: list }

adventures_show:
  url:   /projekty/:id
  param: { module: adventures, action: show }
  requirements:
    id: \d+

adventures_show_slug:
  url:   /projekty/:id/:title_slug
  param: { module: adventures, action: show }
  requirements:
    id: \d+

taf:
    url: /taf
    param: {module: taf, action: send }

guide:
  url:   /przewodnik
  param: { module: guide, action: index }

download:
  url:   /dokumenty
  param: { module: download, action: index }

about:
  url:   /o_nas
  param: { module: about, action: index }

reports_more:
  url: /portfolio/wiecej
  param: { module: reports, action: more }

reports_list:
  url:   /portfolio/lista
  param: { module: reports, action: list }

reports_list_by_continent:
  url:   /portfolio/lista/kontynent/:continent
  param: { module: reports, action: list }
  requirements:
      continent: \d+

reports_list_by_continent_slug:
  url:   /portfolio/lista/kontynent/:continent/:slug
  param: { module: reports, action: list }
  requirements:
    continent: \d+

reports_list_by_type:
  url:   /portfolio/lista
  param: { module: reports, action: list }


reports_show:
  url:   /portfolio/:id
  param: { module: reports, action: show }
  requirements:
      id: \d+

reports_show_slug:
  url:   /portfolio/:id/:slug
  param: { module: reports, action: show }
  requirements:
      id: \d+

rss:
  url: /rss
  param: { module: main, action: rss }

incentive:
  url: /incentive
  param: { module: main, action: incentive }

# generic rules
# please, remove them by adding more specific rules
#default_index:
#  url:   /:module
#  param: { action: index }

#default:
#  url:   /:module/:action/*
